/*!
 * Axios Cache Interceptor v1.4.1
 * (c) 2021-present Arthur Fiorette & Contributors
 * Released under the MIT License.
 */
(()=>{"use strict";var e={d:(t,a)=>{for(var r in a)e.o(a,r)&&!e.o(t,r)&&Object.defineProperty(t,r,{enumerable:!0,get:a[r]})},o:(e,t)=>Object.prototype.hasOwnProperty.call(e,t),r:e=>{"undefined"!=typeof Symbol&&Symbol.toStringTag&&Object.defineProperty(e,Symbol.toStringTag,{value:"Module"}),Object.defineProperty(e,"__esModule",{value:!0})}},t={};e.r(t),e.d(t,{Header:()=>r,buildKeyGenerator:()=>x,buildMemoryStorage:()=>y,buildStorage:()=>w,buildWebStorage:()=>A,canStale:()=>v,createCacheResponse:()=>d,createValidateStatus:()=>n,defaultHeaderInterpreter:()=>o,defaultKeyGenerator:()=>C,defaultRequestInterceptor:()=>u,defaultResponseInterceptor:()=>h,isExpired:()=>m,isMethodIn:()=>s,isStorage:()=>g,setupCache:()=>I,testCachePredicate:()=>l,updateCache:()=>f,updateStaleRequest:()=>c});const a=require("cache-parser"),r=Object.freeze({IfModifiedSince:"if-modified-since",LastModified:"last-modified",IfNoneMatch:"if-none-match",CacheControl:"cache-control",Pragma:"pragma",ETag:"etag",Expires:"expires",Age:"age",XAxiosCacheEtag:"x-axios-cache-etag",XAxiosCacheLastModified:"x-axios-cache-last-modified",XAxiosCacheStaleIfError:"x-axios-cache-stale-if-error"}),o=e=>{if(!e)return"not enough headers";const t=e[r.CacheControl];if(t){const{noCache:o,noStore:i,maxAge:n,maxStale:s,immutable:c,staleWhileRevalidate:d}=(0,a.parse)(String(t));if(o||i)return"dont cache";if(c)return{cache:31536e6};if(void 0!==n){const t=e[r.Age];return{cache:t?1e3*(n-Number(t)):1e3*n,stale:void 0!==s?1e3*s:void 0!==d?1e3*d:void 0}}}const o=e[r.Expires];if(o){const e=Date.parse(String(o))-Date.now();return e>=0?{cache:e}:"dont cache"}return"not enough headers"},i=require("fast-defer");function n(e){return e?t=>e(t)||304===t:e=>e>=200&&e<300||304===e}function s(e="get",t=[]){return e=e.toLowerCase(),t.some((t=>t===e))}function c(e,t){var a;t.headers||(t.headers={});const{etag:o,modifiedSince:i}=t.cache;if(o){const i=!0===o?null===(a=e.data)||void 0===a?void 0:a.headers[r.ETag]:o;i&&(t.headers[r.IfNoneMatch]=i)}i&&(t.headers[r.IfModifiedSince]=!0===i?e.data.headers[r.LastModified]||new Date(e.createdAt).toUTCString():i.toUTCString())}function d(e,t){return 304===e.status&&t?(e.cached=!0,e.data=t.data,e.status=t.status,e.statusText=t.statusText,e.headers=Object.assign(Object.assign({},t.headers),e.headers),t):{data:e.data,status:e.status,statusText:e.statusText,headers:e.headers}}function u(e){const t=async a=>{var o,d,u,l,f,h,g,p,v,m,w,y,S,b,x;if(a.id=e.generateKey(a),!1===a.cache)return a;if(a.cache=Object.assign(Object.assign({},e.defaults.cache),a.cache),"object"==typeof a.cache.cachePredicate&&a.cache.cachePredicate.ignoreUrls&&a.url)for(const e of a.cache.cachePredicate.ignoreUrls)if(e instanceof RegExp?(e.lastIndex=0,e.test(a.url)):a.url.includes(e))return a;if(a.cache.cacheTakeover&&(null!==(o=(m=a.headers)[w=r.CacheControl])&&void 0!==o||(m[w]="no-cache"),null!==(d=(y=a.headers)[S=r.Pragma])&&void 0!==d||(y[S]="no-cache"),null!==(u=(b=a.headers)[x=r.Expires])&&void 0!==u||(b[x]="0")),!s(a.method,a.cache.methods))return a;let C=await e.storage.get(a.id,a);const I=a.cache.override;e:if("empty"===C.state||"stale"===C.state||I){if(e.waiting[a.id]&&!I&&(C=await e.storage.get(a.id,a),"empty"!==C.state)){0;break e}return e.waiting[a.id]=(0,i.deferred)(),e.waiting[a.id].catch((()=>{})),await e.storage.set(a.id,{state:"loading",previous:I?C.data?"stale":"empty":C.state,data:C.data,createdAt:I&&!C.createdAt?Date.now():C.createdAt},a),"stale"===C.state&&c(C,a),a.validateStatus=n(a.validateStatus),("stale"===C.state||C.data)&&await(null===(f=(l=a.cache).hydrate)||void 0===f?void 0:f.call(l,C)),a}let A;if("loading"===C.state){const r=e.waiting[a.id];if(!r)return C.data&&await(null===(g=(h=a.cache).hydrate)||void 0===g?void 0:g.call(h,C)),a;0;try{A=await r}catch(e){return C.data&&await(null===(v=(p=a.cache).hydrate)||void 0===v?void 0:v.call(p,C)),t(a)}}else A=C.data;return a.adapter=function(){return Promise.resolve({config:a,data:A.data,headers:A.headers,status:A.status,statusText:A.statusText,cached:!0,id:a.id})},a};return{onFulfilled:t,apply:()=>e.interceptors.request.use(t)}}async function l(e,t){var a;if("function"==typeof t)return t(e);const{statusCheck:r,responseMatch:o,containsHeaders:i}=t;if(r&&!await r(e.status)||o&&!await o(e))return!1;if(i)for(const[t,r]of Object.entries(i))if(!await r(null!==(a=e.headers[t.toLowerCase()])&&void 0!==a?a:e.headers[t]))return!1;return!0}async function f(e,t,a){if("function"==typeof a)return a(t);for(const[r,o]of Object.entries(a)){if("delete"===o){await e.remove(r,t.config);continue}const a=await e.get(r,t.config);if("loading"===a.state)continue;const i=await o(a,t);"delete"!==i?"ignore"!==i&&await e.set(r,i,t.config):await e.remove(r,t.config)}}function h(e){const t=async(t,a)=>{var r;await e.storage.remove(t,a),null===(r=e.waiting[t])||void 0===r||r.reject(),delete e.waiting[t]},o=async a=>{var o;if(!(null==a?void 0:a.config))throw a;a.id=a.config.id,null!==(o=a.cached)&&void 0!==o||(a.cached=!1);const i=a.config,n=i.cache;if(a.cached)return a;if(!n)return a.cached=!1,a;if(n.update&&await f(e.storage,a,n.update),!s(i.method,n.methods))return a;const c=await e.storage.get(a.id,i);if("loading"!==c.state)return a;if(!c.data&&!await l(a,n.cachePredicate))return await t(a.id,i),a;for(const e of Object.keys(a.headers))e.startsWith("x-axios-cache")&&delete a.headers[e];n.etag&&!0!==n.etag&&(a.headers[r.XAxiosCacheEtag]=n.etag),n.modifiedSince&&(a.headers[r.XAxiosCacheLastModified]=!0===n.modifiedSince?"use-cache-timestamp":n.modifiedSince.toUTCString());let u,h=n.ttl||-1;if(n.interpretHeader){const r=e.headerInterpreter(a.headers);if("dont cache"===r)return await t(a.id,i),a;"not enough headers"!==r&&("number"==typeof r?h=r:(h=r.cache,u=r.stale))}const g=d(a,c.data);"function"==typeof h&&(h=await h(a)),n.staleIfError&&(a.headers[r.XAxiosCacheStaleIfError]=String(h));const p={state:"cached",ttl:h,staleTtl:u,createdAt:Date.now(),data:g},v=e.waiting[a.id];return v&&(v.resolve(p.data),delete e.waiting[a.id]),await e.storage.set(a.id,p,i),a},i=async o=>{var i;if(!o.isAxiosError||!o.config)throw o;const n=o.config,c=n.id,d=n.cache,u=o.response;if(!d||!c)throw o;if(!s(n.method,d.methods))throw await t(c,n),o;const l=await e.storage.get(c,n);if("loading"!==l.state||"stale"!==l.previous)throw await t(c,n),o;if(d.staleIfError){const t=String(null==u?void 0:u.headers[r.CacheControl]),s=t&&(0,a.parse)(t).staleIfError,f="function"==typeof d.staleIfError?await d.staleIfError(u,l,o):!0===d.staleIfError&&s?1e3*s:d.staleIfError;if(!0===f||"number"==typeof f&&l.createdAt+f>Date.now())return null===(i=e.waiting[c])||void 0===i||i.resolve(l.data),delete e.waiting[c],await e.storage.set(c,{state:"stale",createdAt:Date.now(),data:l.data},n),{cached:!0,config:n,id:c,data:l.data.data,headers:l.data.headers,status:l.data.status,statusText:l.data.statusText}}throw await t(c,n),o};return{onFulfilled:o,onRejected:i,apply:()=>e.interceptors.response.use(o,i)}}const g=e=>!!e&&!!e["is-storage"];function p(e){const t=e.data.headers;return r.ETag in t||r.LastModified in t||r.XAxiosCacheEtag in t||r.XAxiosCacheLastModified in t}function v(e){return!String(e.data.headers[r.CacheControl]).includes("must-revalidate")&&(!!p(e)||"cached"===e.state&&void 0!==e.staleTtl&&Math.abs(Date.now()-(e.createdAt+e.ttl))<=e.staleTtl)}function m(e){return void 0!==e.ttl&&e.createdAt+e.ttl<=Date.now()}function w({set:e,find:t,remove:a}){return{"is-storage":1,set:e,remove:a,get:async(r,o)=>{let i=await t(r,o);if(!i)return{state:"empty"};if("empty"===i.state||"loading"===i.state)return i;if("cached"===i.state){if(!m(i))return i;if(!v(i))return await a(r,o),{state:"empty"};i={state:"stale",createdAt:i.createdAt,data:i.data,ttl:void 0!==i.staleTtl?i.staleTtl+i.ttl:void 0},await e(r,i,o)}return m(i)?p(i)?i:(await a(r,o),{state:"empty"}):i}}}function y(e=!1,t=!1,a=!1){const r=w({set:(t,o)=>{if(a){let e=Object.keys(r.data);if(e.length>=a)for(r.cleanup(),e=Object.keys(r.data);e.length>=a;)delete r.data[e.shift()]}r.data[t]="double"===e?"function"==typeof structuredClone?structuredClone(o):JSON.parse(JSON.stringify(o)):o},remove:e=>{delete r.data[e]},find:t=>{const a=r.data[t];return e&&void 0!==a?"function"==typeof structuredClone?structuredClone(a):JSON.parse(JSON.stringify(a)):a}});return r.data=Object.create(null),r.cleanup=()=>{const e=Object.keys(r.data);let t,a,o=-1;for(;++o<e.length;)a=e[o],t=r.data[a],"empty"!==t.state?"cached"===t.state&&m(t)&&!v(t)&&r.remove(a):r.remove(a)},t&&(r.cleaner=setInterval(r.cleanup,t)),r}const S=require("object-code"),b=/^\/|\/$/g;function x(e){return t=>{if(t.id)return t.id;const a=e(t);return"string"==typeof a||"number"==typeof a?`${a}`:`${(0,S.hash)(a)}`}}const C=x((({baseURL:e,url:t,method:a,params:r,data:o})=>(e=void 0!==e?e.replace(b,""):"",t=void 0!==t?t.replace(b,""):"",{url:e+(e&&t?"/":"")+t,params:r,method:a=void 0!==a?a.toLowerCase():"get",data:o})));function I(e,t={}){var a,r,i,n,s,c,d,l;const f=e;if(f.defaults.cache)throw new Error("setupCache() should be called only once");if(f.storage=t.storage||y(),!g(f.storage))throw new Error("Use buildStorage() function");return f.waiting=t.waiting||{},f.generateKey=t.generateKey||C,f.headerInterpreter=t.headerInterpreter||o,f.requestInterceptor=t.requestInterceptor||u(f),f.responseInterceptor=t.responseInterceptor||h(f),f.debug=t.debug||function(){},f.defaults.cache={update:t.update||{},ttl:null!==(a=t.ttl)&&void 0!==a?a:3e5,methods:t.methods||["get","head"],cachePredicate:t.cachePredicate||{statusCheck:e=>[200,203,300,301,302,404,405,410,414,501].includes(e)},etag:null===(r=t.etag)||void 0===r||r,modifiedSince:null!==(i=t.modifiedSince)&&void 0!==i?i:!1===t.etag,interpretHeader:null===(n=t.interpretHeader)||void 0===n||n,cacheTakeover:null===(s=t.cacheTakeover)||void 0===s||s,staleIfError:null===(c=t.staleIfError)||void 0===c||c,override:null!==(d=t.override)&&void 0!==d&&d,hydrate:null!==(l=t.hydrate)&&void 0!==l?l:void 0},f.requestInterceptor.apply(),f.responseInterceptor.apply(),f}function A(e,t="axios-cache-"){return w({find:a=>{const r=e.getItem(t+a);return r?JSON.parse(r):void 0},remove:a=>{e.removeItem(t+a)},set:(a,r)=>{const o=()=>e.setItem(t+a,JSON.stringify(r));try{return o()}catch(r){const i=Object.entries(e).filter((e=>e[0].startsWith(t))).map((e=>[e[0],JSON.parse(e[1])]));for(const t of i)"cached"===t[1].state&&m(t[1])&&!v(t[1])&&e.removeItem(t[0]);try{return o()}catch(t){const a=i.sort(((e,t)=>(e[1].createdAt||0)-(t[1].createdAt||0)));for(const t of a){e.removeItem(t[0]);try{return o()}catch(e){}}}e.removeItem(t+a)}}})}module.exports=t})();