/*!
 * Axios Cache Interceptor v1.4.1
 * (c) 2021-present Arthur Fiorette & Contributors
 * Released under the MIT License.
 */
import*as e from"cache-parser";import*as t from"fast-defer";import*as a from"object-code";var r={d:(e,t)=>{for(var a in t)r.o(t,a)&&!r.o(e,a)&&Object.defineProperty(e,a,{enumerable:!0,get:t[a]})},o:(e,t)=>Object.prototype.hasOwnProperty.call(e,t)},s={};r.d(s,{h4:()=>i,UN:()=>A,uu:()=>I,Kd:()=>x,ZF:()=>T,nv:()=>y,p:()=>f,E7:()=>d,NQ:()=>n,xK:()=>E,G6:()=>h,LN:()=>v,Bw:()=>S,Ad:()=>u,$k:()=>m,v8:()=>O,Jk:()=>g,tI:()=>p,iS:()=>l});const o=(e=>{var t={};return r.d(t,e),t})({parse:()=>e.parse}),i=Object.freeze({IfModifiedSince:"if-modified-since",LastModified:"last-modified",IfNoneMatch:"if-none-match",CacheControl:"cache-control",Pragma:"pragma",ETag:"etag",Expires:"expires",Age:"age",XAxiosCacheEtag:"x-axios-cache-etag",XAxiosCacheLastModified:"x-axios-cache-last-modified",XAxiosCacheStaleIfError:"x-axios-cache-stale-if-error"}),n=e=>{if(!e)return"not enough headers";const t=e[i.CacheControl];if(t){const{noCache:a,noStore:r,maxAge:s,maxStale:n,immutable:c,staleWhileRevalidate:d}=(0,o.parse)(String(t));if(a||r)return"dont cache";if(c)return{cache:31536e6};if(void 0!==s){const t=e[i.Age];return{cache:t?1e3*(s-Number(t)):1e3*s,stale:void 0!==n?1e3*n:void 0!==d?1e3*d:void 0}}}const a=e[i.Expires];if(a){const e=Date.parse(String(a))-Date.now();return e>=0?{cache:e}:"dont cache"}return"not enough headers"};const c=(e=>{var t={};return r.d(t,e),t})({deferred:()=>t.deferred});function d(e){return e?t=>e(t)||304===t:e=>e>=200&&e<300||304===e}function u(e="get",t=[]){return e=e.toLowerCase(),t.some((t=>t===e))}function l(e,t){var a;t.headers||(t.headers={});const{etag:r,modifiedSince:s}=t.cache;if(r){const s=!0===r?null===(a=e.data)||void 0===a?void 0:a.headers[i.ETag]:r;s&&(t.headers[i.IfNoneMatch]=s)}s&&(t.headers[i.IfModifiedSince]=!0===s?e.data.headers[i.LastModified]||new Date(e.createdAt).toUTCString():s.toUTCString())}function f(e,t){return 304===e.status&&t?(e.cached=!0,e.data=t.data,e.status=t.status,e.statusText=t.statusText,e.headers=Object.assign(Object.assign({},t.headers),e.headers),t):{data:e.data,status:e.status,statusText:e.statusText,headers:e.headers}}function h(e){const t=async a=>{var r,s,o,n,f,h,g,p,v,m,w,y,S,x,I;if(a.id=e.generateKey(a),!1===a.cache)return a;if(a.cache=Object.assign(Object.assign({},e.defaults.cache),a.cache),"object"==typeof a.cache.cachePredicate&&a.cache.cachePredicate.ignoreUrls&&a.url)for(const e of a.cache.cachePredicate.ignoreUrls)if(e instanceof RegExp?(e.lastIndex=0,e.test(a.url)):a.url.includes(e))return a;if(a.cache.cacheTakeover&&(null!==(r=(m=a.headers)[w=i.CacheControl])&&void 0!==r||(m[w]="no-cache"),null!==(s=(y=a.headers)[S=i.Pragma])&&void 0!==s||(y[S]="no-cache"),null!==(o=(x=a.headers)[I=i.Expires])&&void 0!==o||(x[I]="0")),!u(a.method,a.cache.methods))return a;let b=await e.storage.get(a.id,a);const C=a.cache.override;e:if("empty"===b.state||"stale"===b.state||C){if(e.waiting[a.id]&&!C&&(b=await e.storage.get(a.id,a),"empty"!==b.state)){0;break e}return e.waiting[a.id]=(0,c.deferred)(),e.waiting[a.id].catch((()=>{})),await e.storage.set(a.id,{state:"loading",previous:C?b.data?"stale":"empty":b.state,data:b.data,createdAt:C&&!b.createdAt?Date.now():b.createdAt},a),"stale"===b.state&&l(b,a),a.validateStatus=d(a.validateStatus),("stale"===b.state||b.data)&&await(null===(f=(n=a.cache).hydrate)||void 0===f?void 0:f.call(n,b)),a}let A;if("loading"===b.state){const r=e.waiting[a.id];if(!r)return b.data&&await(null===(g=(h=a.cache).hydrate)||void 0===g?void 0:g.call(h,b)),a;0;try{A=await r}catch(e){return b.data&&await(null===(v=(p=a.cache).hydrate)||void 0===v?void 0:v.call(p,b)),t(a)}}else A=b.data;return a.adapter=function(){return Promise.resolve({config:a,data:A.data,headers:A.headers,status:A.status,statusText:A.statusText,cached:!0,id:a.id})},a};return{onFulfilled:t,apply:()=>e.interceptors.request.use(t)}}async function g(e,t){var a;if("function"==typeof t)return t(e);const{statusCheck:r,responseMatch:s,containsHeaders:o}=t;if(r&&!await r(e.status)||s&&!await s(e))return!1;if(o)for(const[t,r]of Object.entries(o))if(!await r(null!==(a=e.headers[t.toLowerCase()])&&void 0!==a?a:e.headers[t]))return!1;return!0}async function p(e,t,a){if("function"==typeof a)return a(t);for(const[r,s]of Object.entries(a)){if("delete"===s){await e.remove(r,t.config);continue}const a=await e.get(r,t.config);if("loading"===a.state)continue;const o=await s(a,t);"delete"!==o?"ignore"!==o&&await e.set(r,o,t.config):await e.remove(r,t.config)}}function v(e){const t=async(t,a)=>{var r;await e.storage.remove(t,a),null===(r=e.waiting[t])||void 0===r||r.reject(),delete e.waiting[t]},a=async a=>{var r;if(!(null==a?void 0:a.config))throw a;a.id=a.config.id,null!==(r=a.cached)&&void 0!==r||(a.cached=!1);const s=a.config,o=s.cache;if(a.cached)return a;if(!o)return a.cached=!1,a;if(o.update&&await p(e.storage,a,o.update),!u(s.method,o.methods))return a;const n=await e.storage.get(a.id,s);if("loading"!==n.state)return a;if(!n.data&&!await g(a,o.cachePredicate))return await t(a.id,s),a;for(const e of Object.keys(a.headers))e.startsWith("x-axios-cache")&&delete a.headers[e];o.etag&&!0!==o.etag&&(a.headers[i.XAxiosCacheEtag]=o.etag),o.modifiedSince&&(a.headers[i.XAxiosCacheLastModified]=!0===o.modifiedSince?"use-cache-timestamp":o.modifiedSince.toUTCString());let c,d=o.ttl||-1;if(o.interpretHeader){const r=e.headerInterpreter(a.headers);if("dont cache"===r)return await t(a.id,s),a;"not enough headers"!==r&&("number"==typeof r?d=r:(d=r.cache,c=r.stale))}const l=f(a,n.data);"function"==typeof d&&(d=await d(a)),o.staleIfError&&(a.headers[i.XAxiosCacheStaleIfError]=String(d));const h={state:"cached",ttl:d,staleTtl:c,createdAt:Date.now(),data:l},v=e.waiting[a.id];return v&&(v.resolve(h.data),delete e.waiting[a.id]),await e.storage.set(a.id,h,s),a},r=async a=>{var r;if(!a.isAxiosError||!a.config)throw a;const s=a.config,n=s.id,c=s.cache,d=a.response;if(!c||!n)throw a;if(!u(s.method,c.methods))throw await t(n,s),a;const l=await e.storage.get(n,s);if("loading"!==l.state||"stale"!==l.previous)throw await t(n,s),a;if(c.staleIfError){const t=String(null==d?void 0:d.headers[i.CacheControl]),u=t&&(0,o.parse)(t).staleIfError,f="function"==typeof c.staleIfError?await c.staleIfError(d,l,a):!0===c.staleIfError&&u?1e3*u:c.staleIfError;if(!0===f||"number"==typeof f&&l.createdAt+f>Date.now())return null===(r=e.waiting[n])||void 0===r||r.resolve(l.data),delete e.waiting[n],await e.storage.set(n,{state:"stale",createdAt:Date.now(),data:l.data},s),{cached:!0,config:s,id:n,data:l.data.data,headers:l.data.headers,status:l.data.status,statusText:l.data.statusText}}throw await t(n,s),a};return{onFulfilled:a,onRejected:r,apply:()=>e.interceptors.response.use(a,r)}}const m=e=>!!e&&!!e["is-storage"];function w(e){const t=e.data.headers;return i.ETag in t||i.LastModified in t||i.XAxiosCacheEtag in t||i.XAxiosCacheLastModified in t}function y(e){return!String(e.data.headers[i.CacheControl]).includes("must-revalidate")&&(!!w(e)||"cached"===e.state&&void 0!==e.staleTtl&&Math.abs(Date.now()-(e.createdAt+e.ttl))<=e.staleTtl)}function S(e){return void 0!==e.ttl&&e.createdAt+e.ttl<=Date.now()}function x({set:e,find:t,remove:a}){return{"is-storage":1,set:e,remove:a,get:async(r,s)=>{let o=await t(r,s);if(!o)return{state:"empty"};if("empty"===o.state||"loading"===o.state)return o;if("cached"===o.state){if(!S(o))return o;if(!y(o))return await a(r,s),{state:"empty"};o={state:"stale",createdAt:o.createdAt,data:o.data,ttl:void 0!==o.staleTtl?o.staleTtl+o.ttl:void 0},await e(r,o,s)}return S(o)?w(o)?o:(await a(r,s),{state:"empty"}):o}}}function I(e=!1,t=!1,a=!1){const r=x({set:(t,s)=>{if(a){let e=Object.keys(r.data);if(e.length>=a)for(r.cleanup(),e=Object.keys(r.data);e.length>=a;)delete r.data[e.shift()]}r.data[t]="double"===e?"function"==typeof structuredClone?structuredClone(s):JSON.parse(JSON.stringify(s)):s},remove:e=>{delete r.data[e]},find:t=>{const a=r.data[t];return e&&void 0!==a?"function"==typeof structuredClone?structuredClone(a):JSON.parse(JSON.stringify(a)):a}});return r.data=Object.create(null),r.cleanup=()=>{const e=Object.keys(r.data);let t,a,s=-1;for(;++s<e.length;)a=e[s],t=r.data[a],"empty"!==t.state?"cached"===t.state&&S(t)&&!y(t)&&r.remove(a):r.remove(a)},t&&(r.cleaner=setInterval(r.cleanup,t)),r}const b=(e=>{var t={};return r.d(t,e),t})({hash:()=>a.hash}),C=/^\/|\/$/g;function A(e){return t=>{if(t.id)return t.id;const a=e(t);return"string"==typeof a||"number"==typeof a?`${a}`:`${(0,b.hash)(a)}`}}const E=A((({baseURL:e,url:t,method:a,params:r,data:s})=>(e=void 0!==e?e.replace(C,""):"",t=void 0!==t?t.replace(C,""):"",{url:e+(e&&t?"/":"")+t,params:r,method:a=void 0!==a?a.toLowerCase():"get",data:s})));function O(e,t={}){var a,r,s,o,i,c,d,u;const l=e;if(l.defaults.cache)throw new Error("setupCache() should be called only once");if(l.storage=t.storage||I(),!m(l.storage))throw new Error("Use buildStorage() function");return l.waiting=t.waiting||{},l.generateKey=t.generateKey||E,l.headerInterpreter=t.headerInterpreter||n,l.requestInterceptor=t.requestInterceptor||h(l),l.responseInterceptor=t.responseInterceptor||v(l),l.debug=t.debug||function(){},l.defaults.cache={update:t.update||{},ttl:null!==(a=t.ttl)&&void 0!==a?a:3e5,methods:t.methods||["get","head"],cachePredicate:t.cachePredicate||{statusCheck:e=>[200,203,300,301,302,404,405,410,414,501].includes(e)},etag:null===(r=t.etag)||void 0===r||r,modifiedSince:null!==(s=t.modifiedSince)&&void 0!==s?s:!1===t.etag,interpretHeader:null===(o=t.interpretHeader)||void 0===o||o,cacheTakeover:null===(i=t.cacheTakeover)||void 0===i||i,staleIfError:null===(c=t.staleIfError)||void 0===c||c,override:null!==(d=t.override)&&void 0!==d&&d,hydrate:null!==(u=t.hydrate)&&void 0!==u?u:void 0},l.requestInterceptor.apply(),l.responseInterceptor.apply(),l}function T(e,t="axios-cache-"){return x({find:a=>{const r=e.getItem(t+a);return r?JSON.parse(r):void 0},remove:a=>{e.removeItem(t+a)},set:(a,r)=>{const s=()=>e.setItem(t+a,JSON.stringify(r));try{return s()}catch(r){const o=Object.entries(e).filter((e=>e[0].startsWith(t))).map((e=>[e[0],JSON.parse(e[1])]));for(const t of o)"cached"===t[1].state&&S(t[1])&&!y(t[1])&&e.removeItem(t[0]);try{return s()}catch(t){const a=o.sort(((e,t)=>(e[1].createdAt||0)-(t[1].createdAt||0)));for(const t of a){e.removeItem(t[0]);try{return s()}catch(e){}}}e.removeItem(t+a)}}})}var j=s.h4,N=s.UN,k=s.uu,M=s.Kd,L=s.ZF,P=s.nv,D=s.p,J=s.E7,K=s.NQ,U=s.xK,R=s.G6,X=s.LN,q=s.Bw,H=s.Ad,$=s.$k,F=s.v8,G=s.Jk,W=s.tI,B=s.iS;export{j as Header,N as buildKeyGenerator,k as buildMemoryStorage,M as buildStorage,L as buildWebStorage,P as canStale,D as createCacheResponse,J as createValidateStatus,K as defaultHeaderInterpreter,U as defaultKeyGenerator,R as defaultRequestInterceptor,X as defaultResponseInterceptor,q as isExpired,H as isMethodIn,$ as isStorage,F as setupCache,G as testCachePredicate,W as updateCache,B as updateStaleRequest};